ALTER TABLE Productos ALTER COLUMN Precio_Gravado DECIMAL(20,5)
ALTER TABLE Productos ALTER COLUMN Precio_Final DECIMAL(20,5)
ALTER TABLE Productos ALTER COLUMN Costo_Comparativo DECIMAL(20,5)

IF IndexProperty(Object_Id('Productos'), 'IX_PROD_Act_Vend_Stk_Flia', 'IndexID') IS NOT NULL
	DROP INDEX IX_PROD_Act_Vend_Stk_Flia ON Productos
	ALTER TABLE Productos ALTER COLUMN Costo DECIMAL(20,5)
	ALTER TABLE Productos ALTER COLUMN Costo_Rentabilidad DECIMAL(20,5)
GO 

CREATE NONCLUSTERED INDEX IX_PROD_Act_Vend_Stk_Flia
ON dbo.Productos (Activo,Vendible,Maneja_Stock,Id_Familia)
INCLUDE (Descripcion_Detallada,Costo,Compra_Max,Id_Iva,Id_Proveedor,Fecha_PP,Fecha_Costo,Costo_Rentabilidad)
GO
